Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions
donna.cpp File Reference
`#include <botan/curve25519.h>`
`#include <botan/mul128.h>`
`#include <botan/internal/donna128.h>`
`#include <botan/internal/ct_utils.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Typedefs
typedef limb | Botan::felem[5]
typedef uint64_t | Botan::limb
typedef uint8_t | Botan::u8
typedef donna128 | Botan::uint128_t

## Functions
void | Botan::curve25519_donna (u8 *mypublic, const u8 *secret, const u8 *basepoint)